fix-HELM_INSTALL_DIR instead of $PATH in get-helm-3

Signed-off-by: liketosweep <liketosweep@gmail.com>
pull/32273/head
liketosweep 2 weeks ago
parent 188d331dc3
commit 18b5f41e80

@ -267,9 +267,9 @@ fail_trap() {
# testVersion tests the installed client to make sure it is working.
testVersion() {
set +e
HELM="$(command -v $BINARY_NAME)"
if [ "$?" = "1" ]; then
echo "$BINARY_NAME not found. Is $HELM_INSTALL_DIR on your "'$PATH?'
HELM="$HELM_INSTALL_DIR/$BINARY_NAME"
if [ ! -x "$HELM" ]; then
echo "$BINARY_NAME not found or not executable at $HELM_INSTALL_DIR/$BINARY_NAME"
exit 1
fi
set -e

Loading…
Cancel
Save